Puntos de emisión
Actualizar un punto de emisión
Envía solo los campos que quieras cambiar.
PATCH
/
api
/
v1
/
accounts
/
{account_id}
/
emission_points
/
{id}
Actualizar un punto de emisión
curl --request PATCH \
--url https://dashboard.tellen.app/api/v1/accounts/{account_id}/emission_points/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"emission_point": {
"store_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "<string>",
"description": "<string>",
"next_sequential_test": 123,
"next_sequential_production": 123
}
}
'import requests
url = "https://dashboard.tellen.app/api/v1/accounts/{account_id}/emission_points/{id}"
payload = { "emission_point": {
"store_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "<string>",
"description": "<string>",
"next_sequential_test": 123,
"next_sequential_production": 123
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
emission_point: {
store_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
code: '<string>',
description: '<string>',
next_sequential_test: 123,
next_sequential_production: 123
}
})
};
fetch('https://dashboard.tellen.app/api/v1/accounts/{account_id}/emission_points/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"emission_point": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "<string>",
"store_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"store_code": "<string>",
"description": "<string>",
"next_sequential_test": 123,
"next_sequential_production": 123,
"created_at": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"errors": [
"<string>"
]
}Authorizations
Token de API enviado como Authorization: Bearer tellen_tk_.... Genera
tu token desde tu cuenta de Tellen. Tu cuenta debe tener el acceso a la
API habilitado.
Path Parameters
Identificador de la cuenta.
Identificador del punto de emisión.
Body
application/json
Envía solo los campos que quieras cambiar.
Show child attributes
Show child attributes
Response
El punto de emisión actualizado.
Show child attributes
Show child attributes
⌘I
Actualizar un punto de emisión
